import fetch from '@/utils/fetch'

/**
 * 【查】 - 获取所有训练
 */
export const getPostApi = () =>
  fetch({ url: '/train/device/position', method: 'get' })

/**
 * 【查】 - 分页获取所有号位
 * @param {object} paging
 * @returns
 */
export const getPostPageApi = (paging) =>
  fetch({ url: `/train/device/position/paging/?currentPage=${paging.currentPage}&pageSize=${paging.pageSize}`, method: 'get' })

/**
 * 【增】 - 新增训练
 * @param {object} data
 * @returns
 */
export const createTrainApi = (data) =>
  fetch({ url: '/train/trainModule', method: 'post', data })

/**
 * 【查】 - 获取所有训练信息
 * @returns
 */
export const getTrainListApi = (status) =>
  fetch({ url: '/train/trainModule?', method: 'get', params: { status } })

/**
 * 【查】 - 获取所有训练步骤
 * @param {number} id
 * @returns
 */
export const getTrainStepApi = (id) =>
  fetch({ url: '/train/trainModule/step/' + id, method: 'get' })

/**
* 【查】 - 获取训练详细信息
* @param {number} id
* @returns
*/
export const getTrainDetailsApi = (id) =>
  fetch({ url: '/train/trainModule/details/' + id, method: 'get' })

/**
* 【改】 - 获取所有训练信息
* @param {number} id
* @param {object} data
* @returns
*/
export const patchStepInfoApi = ({ id, data }) =>
  fetch({ url: '/train/trainModule/log/' + id, method: 'patch', data })

/**
 * 【改】 - 编辑训练
 * @param {id} number
 * @param {object} data
 * @returns
 */
export const editorTrainApi = (id, data) =>
  fetch({ url: '/train/trainModule/status/' + id, method: 'patch', data })

/**
 * 【删】 - 删除训练
 * @param {number} id
 * @returns
 */
 export const deleteTrainApi = (id) =>
 fetch({ url: '/train/trainModule/' + id, method: 'delete' })

/**
 * 【删】 - 清空训练
 * @param {Array} ids
 * @returns
 */
 export const deleteAllTrainApi = () =>
 fetch({ url: '/train/trainModule/all', method: 'delete' })


/**
 * 【改】 - 更新训练的步骤信息
 * @param {number} ids
 * @param {object} data
 * @returns
 */
export const updateStepApi = (id, data) =>
  fetch({ url: '/train/trainModule/log/' + id, method: 'patch', data })

/**
 * 【增】 - 训练结果保存
 * @param {number} ids
 * @param {object} data
 * @returns
 */
export const saveTrainScoreApi = (id, data) =>
  fetch({ url: '/train/trainModule/score/' + id, method: 'post', data })
